(DEPRECATED) List pricing schedules of an account
curl --request GET \
--url https://api.togai.com/accounts/{account_id}/pricing_schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/accounts/{account_id}/pricing_schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/accounts/{account_id}/pricing_schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "sch.4325kbjedsc.34dww",
"pricePlanId": "pp.bs8932bf328",
"version": 1,
"startDate": "2080-10-04T00:00:00Z",
"endDate": "2099-10-04T00:00:00Z",
"isOverriden": false,
"pricePlanDetails": {
"supportedCurrencies": [
"USD"
],
"activeCurrencies": [
"USD"
],
"pricingCycleConfig": {
"interval": "MONTHLY",
"startOffset": {
"dayOffset": "4",
"monthOffset": "NIL"
},
"gracePeriod": 3,
"anniversaryCycle": false
},
"usageRateCards": [
{
"displayName": "Local Rides",
"usageMeterId": "um.1zYnCiM9Bpg.1zYn",
"ratePlan": {
"pricingModel": "TIERED",
"slabs": [
{
"order": 1,
"startAfter": 0,
"priceType": "FLAT"
}
]
},
"rateValues": [
{
"currency": "USD",
"slabRates": [
{
"rate": 40,
"order": 1
}
]
}
]
}
],
"fixedFeeRateCards": [
{
"id": "addon.2077efUBMXo.DyzlZ",
"displayName": "Maintenance",
"enableProration": false,
"rateValues": [
{
"currency": "USD",
"rate": 10
}
]
}
],
"minimumCommitment": {
"displayName": "Minimum Commitment",
"rateValues": [
{
"currency": "USD",
"rate": 10
}
]
}
}
}
],
"nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ==",
"previousToken": "eyJwYXlsb2FkIjp7InN0YXJ0X2RhdGUiOiInsic3RhcnRfZGF0ZWxsfSwidG9rZW5UeXBlIjoiUifQ=="
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}(Deprecated) Plan Associations
(DEPRECATED) List pricing schedules of an account
Returns a list of pricing schedules of an account with pagination and sort.
GET
/
accounts
/
{account_id}
/
pricing_schedules
(DEPRECATED) List pricing schedules of an account
Deprecated: This API is deprecated and will be removed in a future release. Please use the List pricing schedules of an account instead for updated functionality.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
account_id corresponding to an account
Maximum string length:
50Example:
"ACC00001"
Query Parameters
Example:
"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="
Example:
10
Example:
"2023-03-30T10:41:10.088499"
Example:
"2099-03-30T10:41:10.088499"
Example:
true
Example:
false
โI
